Bug 127605 - add a text version of redhat-config-soundcard
add a text version of redhat-config-soundcard
Status: CLOSED DEFERRED
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: system-config-soundcard (Show other bugs)
3.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Martin Stransky
: FutureFeature
Depends On:
Blocks: 154251
  Show dependency treegraph
 
Reported: 2004-07-10 15:37 EDT by akopps
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-09 09:20:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description akopps 2004-07-10 15:37:19 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7) Gecko/20040616

Description of problem:
redhat-config-soundcard when run in the text console prints this:

redhat-config-soundcard requires a currently running X server.
Try running 'sndconfig' instead.

However, sndconfig is not included with the OS. Technically, you just
need to correct the error message to close the bug but I think it
would be nice if a command line sound configuration utility was
included with the OS. I am used to calling sndconfig from scripts
during the initial OS setup when X11 isn't even running and it is an
anoyance having to start X11 now just to setup the sound.

Version-Release number of selected component (if applicable):
redhat-config-soundcard-1.0.8-1.noarch

How reproducible:
Always

Steps to Reproduce:
1. run redhat-config-soundcard in text console
2. 
3.
    

Actual Results:  prints:
redhat-config-soundcard requires a currently running X server.
Try running 'sndconfig' instead.

Expected Results:  It should either work or it should not print the
misleading message.

Additional info:
Comment 1 Barry K. Nathan 2004-07-14 01:47:13 EDT
FWIW, a workaround in the meantime may be to install the sndconfig
package from Red Hat 9 or Fedora Core 1 and use that.
Comment 2 Jay Hilliard 2004-08-26 18:14:17 EDT
sndconfig from an OSS base system didn't work.  It's not designed for
ALSA support.  We really need something that can do what "sndconfig
--quiet" did before so we can still kickstart systems and have them
work right when they boot up.

Also, what is this for?  Maybe that's why there are so many people
having problems getting their sound detected for them.

/etc/setuptool.d/99sndconfig

It's contents:
"/usr/sbin/sndconfig|Sound card configuration"
Comment 3 Suzanne Hillman 2005-04-08 14:42:03 EDT
Internal RFE bug #154251 entered; will be considered for future releases.

Note You need to log in before you can comment on or make changes to this bug.